summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Stelling <blubb@gentoo.org>2006-05-02 16:10:56 +0000
committerSimon Stelling <blubb@gentoo.org>2006-05-02 16:10:56 +0000
commit89018c2a45d7ec04667c54efca85f01538abfc52 (patch)
tree9b551bb03980db46cc973febbce315cc9ebb86aa
parent1d7bd9795a0407e3013ba7e8f1df8423444044a9 (diff)
downloadportage-89018c2a45d7ec04667c54efca85f01538abfc52.tar.gz
portage-89018c2a45d7ec04667c54efca85f01538abfc52.tar.bz2
portage-89018c2a45d7ec04667c54efca85f01538abfc52.zip
use hasq where appropriate
svn path=/main/trunk/; revision=3308
-rwxr-xr-xbin/prepstrip9
1 files changed, 4 insertions, 5 deletions
diff --git a/bin/prepstrip b/bin/prepstrip
index cd28ec111..0cca3292a 100755
--- a/bin/prepstrip
+++ b/bin/prepstrip
@@ -5,9 +5,8 @@
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
-if [[ " ${FEATURES} " == *" nostrip "* ]] || \
- [[ " ${RESTRICT} " == *" nostrip "* ]] || \
- [[ " ${RESTRICT} " == *" strip "* ]]
+if hasq nostrip ${FEATURES} ${RESTRICT} || \
+ hasq strip RESTRICT
then
exit 0
fi
@@ -25,7 +24,7 @@ save_elf_debug() {
local x=$1
local y="${D}/usr/lib/debug/${x:${#D}:${#x}}.debug"
- [[ " ${FEATURES} " != *" splitdebug "* ]] && return 0
+ hasq splitdebug ${FEATURES} || return 0
# dont save debug info twice.
[[ ${x:7} == ".debug" ]] && return 0
@@ -35,7 +34,7 @@ save_elf_debug() {
${OBJCOPY} --add-gnu-debuglink="${y}" "${x}"
chmod a-x,o-w "${y}"
- [[ " ${FEATURES} " != *" installsources "* ]] && return 0
+ hasq installsources ${FEATURES} || return 0
if [[ -x "/usr/bin/debugedit" ]] ; then
debugedit -b "${WORKDIR}" -d /usr/src/debug/${PF} -l "${T}"/debug.sources "${x}"